import numpy as np
import matplotlib.pyplot as plt

plt.figure(figsize=(7,7))

sup_coord = np.array([[-1,-1],[1,-1],[1,1],[-1,1],[-1,-1]])
plt.plot(sup_coord.T[0], sup_coord.T[1], 'b', label='Sup')

city_coord = np.array([[-1,0],[0,-1], [1,0],[0,1],[-1,0]])
plt.plot(city_coord.T[0], city_coord.T[1], 'g', label='City')

euc_step = np.linspace(0.0, 2*np.pi, 10000)
euc_x = np.cos(euc_step)
euc_y = np.sin(euc_step)
plt.plot(euc_x, euc_y, 'r', label='Euclid')

plt.plot([-1.1, 1.1], [0, 0], 'k', lw=1)
plt.plot([0, 0],[-1.1, 1.1], 'k', lw=1)

plt.legend(loc='center', fontsize=16)
plt.show()
